package com.ssj.service.kmt.service;

import com.ssj.bean.kmt.kmt.domain.KmtQuestionKnow;
import com.ssj.framework.core.common.service.BaseService;

import java.util.List;

public interface KmtQuestionKnowService extends BaseService<KmtQuestionKnow, String> {
	
	
	public List<KmtQuestionKnow> findKBByList(String questionId, String howDetailsId);
	
	
	public List<KmtQuestionKnow> findQuByList(String questionId);
	
	
	public KmtQuestionKnow findQuByHowKdList(String howDetailsId, String questionId, String howDetailsKdId);


	//批量更新数学的是否加载到sorl中字段
	public void updateFULLNotIsLoadByIds();
	
	
	//全量更新加载到sorl中
	public void loadFULLTOSolr();
	
	
	public List<KmtQuestionKnow> findHowDetailsKdId(String howDetailsKdId);
	
	public List<KmtQuestionKnow> findHowDetailsKdIdAndQuestionId(String howDetailsKdId, String questionId);
	

	
}
